[Overview][Constants][Procedures and functions][Index] | Reference for unit 'cmem' (#rtl)

# CAlloc

Allocate memory based on item size and count

## Declaration

Source position: cmem.pp line 54

`function CAlloc(`
`unitSize: PtrUInt;`
`UnitCount: PtrUInt`
`):pointer;`

## Arguments

`unitSize` |  | Size of one unit.
`UnitCount` |  | Number of units.

## Function result

Pointer to the newly allocated memory block.

## Description

Calloc allocates memory to hold UnitCount units of size UnitSize each. The memory is one block of memory. It returns a pointer to the newly allocated memory block.

## See also

Malloc |  | Malloc external declaration.
Free |  | Free a previously allocated block
Realloc |  | Reallocates a memory block